Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class ARBBufferObject

    java.lang.Object
      org.lwjgl.opengl.ARBBufferObject

Direct Known Subclasses:
  ARBPixelBufferObject, ARBVertexBufferObject, EXTPixelBufferObject

    public class ARBBufferObject

extends java.lang.Object

Field Summary
`static int` | `GL_BUFFER_ACCESS_ARB`
`static int` | `GL_BUFFER_MAP_POINTER_ARB`
`static int` | `GL_BUFFER_MAPPED_ARB`
`static int` | `GL_BUFFER_SIZE_ARB` Accepted by the <pname> parameter of GetBufferParameterivARB:
`static int` | `GL_BUFFER_USAGE_ARB`
`static int` | `GL_DYNAMIC_COPY_ARB`
`static int` | `GL_DYNAMIC_DRAW_ARB`
`static int` | `GL_DYNAMIC_READ_ARB`
`static int` | `GL_READ_ONLY_ARB` Accepted by the <access> parameter of MapBufferARB:
`static int` | `GL_READ_WRITE_ARB`
`static int` | `GL_STATIC_COPY_ARB`
`static int` | `GL_STATIC_DRAW_ARB`
`static int` | `GL_STATIC_READ_ARB`
`static int` | `GL_STREAM_COPY_ARB`
`static int` | `GL_STREAM_DRAW_ARB` Accepted by the <usage> parameter of BufferDataARB:
`static int` | `GL_STREAM_READ_ARB`
`static int` | `GL_WRITE_ONLY_ARB`

Constructor Summary
`ARBBufferObject()`

Method Summary
`static void` | `glBindBufferARB(int target, int buffer)`
`static void` | `glBufferDataARB(int target, java.nio.ByteBuffer data, int usage)`
`static void` | `glBufferDataARB(int target, java.nio.DoubleBuffer data, int usage)`
`static void` | `glBufferDataARB(int target, java.nio.FloatBuffer data, int usage)`
`static void` | `glBufferDataARB(int target, java.nio.IntBuffer data, int usage)`
`static void` | `glBufferDataARB(int target, long size, int usage)`
`static void` | `glBufferDataARB(int target, java.nio.ShortBuffer data, int usage)`
`static void` | `glBufferSubDataARB(int target, long offset, java.nio.ByteBuffer data)`
`static void` | `glBufferSubDataARB(int target, long offset, java.nio.DoubleBuffer data)`
`static void` | `glBufferSubDataARB(int target, long offset, java.nio.FloatBuffer data)`
`static void` | `glBufferSubDataARB(int target, long offset, java.nio.IntBuffer data)`
`static void` | `glBufferSubDataARB(int target, long offset, java.nio.ShortBuffer data)`
`static void` | `glDeleteBuffersARB(java.nio.IntBuffer buffers)`
`static void` | `glGenBuffersARB(java.nio.IntBuffer buffers)`
`static void` | `glGetBufferParameterARB(int target, int pname, java.nio.IntBuffer params)`
`static java.nio.ByteBuffer` | `glGetBufferPointerARB(int target, int pname)`
`static void` | `glGetBufferSubDataARB(int target, long offset, java.nio.ByteBuffer data)`
`static void` | `glGetBufferSubDataARB(int target, long offset, java.nio.DoubleBuffer data)`
`static void` | `glGetBufferSubDataARB(int target, long offset, java.nio.FloatBuffer data)`
`static void` | `glGetBufferSubDataARB(int target, long offset, java.nio.IntBuffer data)`
`static void` | `glGetBufferSubDataARB(int target, long offset, java.nio.ShortBuffer data)`
`static boolean` | `glIsBufferARB(int buffer)`
`static java.nio.ByteBuffer` | `glMapBufferARB(int target, int access, java.nio.ByteBuffer old_buffer)` glMapBufferARB maps a gl vertex buffer buffer to a ByteBuffer.
`static boolean` | `glUnmapBufferARB(int target)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_STREAM_DRAW_ARB

    public static final int GL_STREAM_DRAW_ARB

  Accepted by the <usage> parameter of BufferDataARB:

  See Also:
    Constant Field Values

### GL_STREAM_READ_ARB

    public static final int GL_STREAM_READ_ARB

See Also:
  Constant Field Values

### GL_STREAM_COPY_ARB

    public static final int GL_STREAM_COPY_ARB

See Also:
  Constant Field Values

### GL_STATIC_DRAW_ARB

    public static final int GL_STATIC_DRAW_ARB

See Also:
  Constant Field Values

### GL_STATIC_READ_ARB

    public static final int GL_STATIC_READ_ARB

See Also:
  Constant Field Values

### GL_STATIC_COPY_ARB

    public static final int GL_STATIC_COPY_ARB

See Also:
  Constant Field Values

### GL_DYNAMIC_DRAW_ARB

    public static final int GL_DYNAMIC_DRAW_ARB

See Also:
  Constant Field Values

### GL_DYNAMIC_READ_ARB

    public static final int GL_DYNAMIC_READ_ARB

See Also:
  Constant Field Values

### GL_DYNAMIC_COPY_ARB

    public static final int GL_DYNAMIC_COPY_ARB

See Also:
  Constant Field Values

### GL_READ_ONLY_ARB

    public static final int GL_READ_ONLY_ARB

  Accepted by the <access> parameter of MapBufferARB:

  See Also:
    Constant Field Values

### GL_WRITE_ONLY_ARB

    public static final int GL_WRITE_ONLY_ARB

See Also:
  Constant Field Values

### GL_READ_WRITE_ARB

    public static final int GL_READ_WRITE_ARB

See Also:
  Constant Field Values

### GL_BUFFER_SIZE_ARB

    public static final int GL_BUFFER_SIZE_ARB

  Accepted by the <pname> parameter of GetBufferParameterivARB:

  See Also:
    Constant Field Values

### GL_BUFFER_USAGE_ARB

    public static final int GL_BUFFER_USAGE_ARB

See Also:
  Constant Field Values

### GL_BUFFER_ACCESS_ARB

    public static final int GL_BUFFER_ACCESS_ARB

See Also:
  Constant Field Values

### GL_BUFFER_MAPPED_ARB

    public static final int GL_BUFFER_MAPPED_ARB

See Also:
  Constant Field Values

### GL_BUFFER_MAP_POINTER_ARB

    public static final int GL_BUFFER_MAP_POINTER_ARB

See Also:
  Constant Field Values

Constructor Detail

### ARBBufferObject

    public ARBBufferObject()

Method Detail

### glBindBufferARB

    public static void glBindBufferARB(int target,
                                       int buffer)

### glDeleteBuffersARB

    public static void glDeleteBuffersARB(java.nio.IntBuffer buffers)

### glGenBuffersARB

    public static void glGenBuffersARB(java.nio.IntBuffer buffers)

### glIsBufferARB

    public static boolean glIsBufferARB(int buffer)

### glBufferDataARB

    public static void glBufferDataARB(int target,
                                       long size,
                                       int usage)

### glBufferDataARB

    public static void glBufferDataARB(int target,
                                       java.nio.ByteBuffer data,
                                       int usage)

### glBufferDataARB

    public static void glBufferDataARB(int target,
                                       java.nio.DoubleBuffer data,
                                       int usage)

### glBufferDataARB

    public static void glBufferDataARB(int target,
                                       java.nio.FloatBuffer data,
                                       int usage)

### glBufferDataARB

    public static void glBufferDataARB(int target,
                                       java.nio.IntBuffer data,
                                       int usage)

### glBufferDataARB

    public static void glBufferDataARB(int target,
                                       java.nio.ShortBuffer data,
                                       int usage)

### glBufferSubDataARB

    public static void glBufferSubDataARB(int target,
                                          long offset,
                                          java.nio.ByteBuffer data)

### glBufferSubDataARB

    public static void glBufferSubDataARB(int target,
                                          long offset,
                                          java.nio.DoubleBuffer data)

### glBufferSubDataARB

    public static void glBufferSubDataARB(int target,
                                          long offset,
                                          java.nio.FloatBuffer data)

### glBufferSubDataARB

    public static void glBufferSubDataARB(int target,
                                          long offset,
                                          java.nio.IntBuffer data)

### glBufferSubDataARB

    public static void glBufferSubDataARB(int target,
                                          long offset,
                                          java.nio.ShortBuffer data)

### glGetBufferSubDataARB

    public static void glGetBufferSubDataARB(int target,
                                             long offset,
                                             java.nio.ByteBuffer data)

### glGetBufferSubDataARB

    public static void glGetBufferSubDataARB(int target,
                                             long offset,
                                             java.nio.DoubleBuffer data)

### glGetBufferSubDataARB

    public static void glGetBufferSubDataARB(int target,
                                             long offset,
                                             java.nio.FloatBuffer data)

### glGetBufferSubDataARB

    public static void glGetBufferSubDataARB(int target,
                                             long offset,
                                             java.nio.IntBuffer data)

### glGetBufferSubDataARB

    public static void glGetBufferSubDataARB(int target,
                                             long offset,
                                             java.nio.ShortBuffer data)

### glMapBufferARB

    public static java.nio.ByteBuffer glMapBufferARB(int target,
                                                     int access,
                                                     java.nio.ByteBuffer old_buffer)

  glMapBufferARB maps a gl vertex buffer buffer to a ByteBuffer. The oldBuffer argument can be null, in which case a new ByteBuffer will be created, pointing to the returned memory. If oldBuffer is non-null, it will be returned if it points to the same mapped memory, otherwise a new ByteBuffer is created. That way, an application will normally use glMapBufferARB like this:

  ByteBuffer mapped_buffer; mapped_buffer = glMapBufferARB(..., ..., ..., null); ... // Another map on the same buffer mapped_buffer = glMapBufferARB(..., ..., ..., mapped_buffer);

  Parameters:
    `old_buffer` - A ByteBuffer. If this argument points to the same address and has the same capacity as the new mapping, it will be returned and no new buffer will be created.
  Returns:
    A ByteBuffer representing the mapped buffer memory.

### glUnmapBufferARB

    public static boolean glUnmapBufferARB(int target)

### glGetBufferParameterARB

    public static void glGetBufferParameterARB(int target,
                                               int pname,
                                               java.nio.IntBuffer params)

### glGetBufferPointerARB

    public static java.nio.ByteBuffer glGetBufferPointerARB(int target,
                                                            int pname)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.